﻿/*
Copyright(c) 2017 株式会社トラスト・ソフトウェア・システム
無断転載を禁止します。
*/

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ImagerApp
{
	public partial class WatermarkImgDlg : Form
	{
		public string fileName;
		public int posX, posY;
		public bool posZ;
		public float scaleX, scaleY, alpha;

		//生成
		public WatermarkImgDlg()
		{
			InitializeComponent();

			//初期値
			fileName = "";
			posX = posY = 0;
			posZ = false;
			scaleX = scaleY = 1.0f;
			alpha = 1.0f;
		}

		private void WatermarkImgDlg_Shown(object sender, EventArgs e)
		{
			ImgFileNameTxt.Text = fileName;
			posXTxt.Text = posX.ToString();
			posYTxt.Text = posY.ToString();
			foreroundRb.Checked = posZ;
			backgroundRb.Checked = !posZ;
			scaleXTxt.Text = (scaleX * 100.0f).ToString();
			scaleYTxt.Text = (scaleY * 100.0f).ToString();
			alphaTxt.Text = (alpha * 100.0f).ToString();
		}

		private void OKBtn_Click(object sender, EventArgs e)
		{
			fileName = ImgFileNameTxt.Text;
			posX = int.Parse(posXTxt.Text);
			posY = int.Parse(posYTxt.Text);
			posZ = foreroundRb.Checked;
			scaleX = float.Parse(scaleXTxt.Text) / 100.0f;
			scaleY = float.Parse(scaleYTxt.Text) / 100.0f;
			alpha = float.Parse(alphaTxt.Text) / 100.0f;
		}

		private void imgFileRefBtn_Click(object sender, EventArgs e)
		{
			ImgFileNameTxt.Text = "Desert.jpg";
		}
	}
}
