﻿/*
Copyright(c) 2017 株式会社トラスト・ソフトウェア・システム
無断転載を禁止します。
*/

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ImagerApp
{
	public partial class PasswordDlg : Form
	{
		public string ownerPswd;
		public string userPswd;
		public int openMode;

		public PasswordDlg()
		{
			InitializeComponent();
			openMode = 0;
		}

		private void PasswordDlg_Shown(object sender, EventArgs e)
		{
			ownerPswdTxt.Text = ownerPswd;
			userPswdTxt.Text = userPswd;
			openModeCb.Checked = openMode == 0 ? true : false;
		}

		private void openModeCb_CheckedChanged(object sender, EventArgs e)
		{
			if (openModeCb.Enabled)
			{
				viewModeRb.Enabled = printModeRb.Enabled = pswdTxt.Enabled = false;
			}
			else
			{
				viewModeRb.Enabled = printModeRb.Enabled = pswdTxt.Enabled = true;
			}
		}

		private void OKBtn_Click(object sender, EventArgs e)
		{
			if (openModeCb.Checked)
			{
				if (viewModeRb.Checked) openMode = 1;   //表示モード
				else openMode = 2;  //印刷モード
			}
			else
			{
				openMode = 0;   //指定無し
			}
		}
	}
}
